@import 'mobile.css';

body, html {
    margin: 0;
    padding: 0;
    height: 100%;
    overflow: hidden; /* Keep this to prevent scrolling of the background */
}

.koala-box-header.titleBar {
    display:flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: baseline;
    opacity: 0.5;
    background-color: #0000004a !important;
}

.titleBar h2 {
    font-size: 20pt;
    font-weight: bold;
    margin: 0 0 0px;
    color:rgb(255, 255, 255);
}
.titleBar img {
    height: 60px;
}

.initParagraph {
    font-size: 16pt;
    color:rgb(0, 0, 0);
    text-align: justify;
}

.app-container {
    position: relative;
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    min-height: 100vh;
    padding: 20px;
    box-sizing: border-box;
    overflow-y: auto; /* Allow vertical scrolling */
    max-height: 100vh; /* Limit height to viewport height */
}

#app {
    max-width: 1024px;
    width: 100%;
    border-radius: 10px;
    padding: 20px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    margin-bottom: 20px; /* Add some bottom margin for better scrolling experience */
}

.slideshow-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
}

.slideshow-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
    opacity: 0;
    transition: opacity 1s ease-in-out;
    animation: kenburns 60s infinite;
}

@keyframes kenburns {
    0% {
        transform: scale(1) translate(0, 0);
    }
    50% {
        transform: scale(1.2) translate(-20px, -15px);
    }
    100% {
        transform: scale(1) translate(0, 0);
    }
}

/* Customize scrollbar for webkit browsers */
.app-container::-webkit-scrollbar {
    width: 10px;
}

.app-container::-webkit-scrollbar-track {
    background: rgba(0, 0, 0, 0.1);
}

.app-container::-webkit-scrollbar-thumb {
    background-color: rgba(0, 0, 0, 0.3);
    border-radius: 5px;
}

#thanksContainer {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

#thanksContainer.visible {
    opacity: 1;
}

#thanks {
    font-size: 24pt;
    color: rgb(255, 255, 255);
    text-align: center;
    transform: scale(0.5);
    transition: transform 1s ease-in-out;
    /* add dropshadow */
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}

#thanksContainer.visible #thanks {
    transform: scale(1);
}


